### This file is automatically generated by update-modules"
#
# Please do not edit this file directly. If you want to change or add
# anything please take a look at the files in /etc/modutils and read
# the manpage for update-modules.
#
### update-modules: start processing /etc/modutils/0keep
# DO NOT MODIFY THIS FILE!
# This file is not marked as conffile to make sure if you upgrade modutils
# it will be restored in case some modifications have been made.
#
# The keep command is necessary to prevent insmod and friends from ignoring
# the builtin defaults of a path-statement is encountered. Until all other
# packages use the new `add path'-statement this keep-statement is essential
# to keep your system working
keep

### update-modules: end processing /etc/modutils/0keep

### update-modules: start processing /etc/modutils/1devfsd
# /etc/modules.devfs
# Richard Gooch  <rgooch@atnf.csiro.au>		24-MAR-2002
#
# This file comes with devfsd-vDEVFSD-VERSION which is available from:
# http://www.atnf.csiro.au/~rgooch/linux/
# or directly from:
# ftp://ftp.atnf.csiro.au/pub/people/rgooch/linux/daemons/devfsd-vDEVFSD-VERSION.tar.gz

###############################################################################
#   Sample configurations that you may want to place in /etc/modules.conf
#
#alias		sound-slot-0		sb
#alias		/dev/v4l		bttv
#alias		/dev/misc/watchdog	pcwd
#alias		gen-md			raid0
#alias		/dev/joysticks		joystick
#probeall	scsi_hostadapter	sym53c8xx

###############################################################################
#                   Generic section: do not change or copy
#
# All HDDs
probeall  /dev/discs		scsi_hostadapter sd_mod ide-probe-mod ide-detect ide-disk ide-floppy DAC960
alias     /dev/discs/*		/dev/discs

# All CD-ROMs
probeall  /dev/cdroms		scsi_hostadapter sr_mod ide-probe-mod ide-detect ide-cd cdrom
alias     /dev/cdroms/*		/dev/cdroms
alias     /dev/cdrom		/dev/cdroms

# All tapes
probeall  /dev/tapes		scsi_hostadapter st ide-probe-mod ide-detect ide-tape
alias     /dev/tapes/*		/dev/tapes

# All SCSI devices
probeall  /dev/scsi		scsi_hostadapter sd_mod sr_mod st sg

# All IDE devices
alias /dev/hd*                  /dev/ide
alias /dev/ide/host*/bus*/target*/lun*/*        /dev/ide
probeall  /dev/ide		ide-probe-mod ide-detect ide-disk ide-cd ide-tape ide-floppy

# IDE CD-ROMs
alias     /dev/ide/*/cd		ide-cd

# SCSI HDDs
probeall  /dev/sd		scsi_hostadapter sd_mod
alias     /dev/sd*		/dev/sd
alias     /dev/scsi/*/part*	/dev/sd
alias     /dev/scsi/*/disc	/dev/sd

# SCSI CD-ROMs
probeall  /dev/sr		scsi_hostadapter sr_mod
alias     /dev/sr*		/dev/sr
alias     /dev/scsi/*/cd	/dev/sr

# SCSI tapes
probeall  /dev/st		scsi_hostadapter st
alias     /dev/st*		/dev/st
alias     /dev/nst*		/dev/st
alias     /dev/scsi/*/mt*	/dev/st

# SCSI generic
probeall  /dev/sg		scsi_hostadapter sg
alias     /dev/sg*		/dev/sg
alias     /dev/scsi/*/generic	/dev/sg
alias     /dev/pg		/dev/sg
alias     /dev/pg*		/dev/sg

# Floppies
alias     /dev/floppy		floppy
alias     /dev/fd*		floppy

# RAMDISCs
alias     /dev/rd		rd
alias     /dev/ram*		rd

# Loop devices
alias     /dev/loop*		loop

# Meta devices
alias     /dev/md*		gen-md

# Parallel port printers
alias     /dev/printers*	lp
alias     /dev/lp*		/dev/printers

# Soundcard
alias     /dev/sound		sound-slot-0
alias     /dev/audio		/dev/sound
alias     /dev/mixer		/dev/sound
alias     /dev/dsp		/dev/sound
alias     /dev/dspW		/dev/sound
alias     /dev/midi		/dev/sound

# Joysticks
alias     /dev/js*		/dev/joysticks

# Serial ports
alias     /dev/tts*		serial
alias     /dev/ttyS*		/dev/tts
alias     /dev/cua*		/dev/tts

# Input devices
alias     /dev/input/mouse*	mousedev
alias     /dev/input		input
probeall  /dev/input/mice	mousedev usb-uhci hid
alias     /dev/usbmouse		/dev/input/mice
alias	  /dev/sonypi		sonypi

# Miscellaneous devices
alias     /dev/misc/atibm	atixlmouse
alias     /dev/misc/inportbm	msbusmouse
alias     /dev/misc/logibm	busmouse
alias     /dev/misc/psaux	psmouse
alias     /dev/misc/rtc		rtc
alias     /dev/misc/nvram	nvram
alias     /dev/misc/agpgart	agpgart
alias     /dev/rtc		/dev/misc/rtc
alias     /dev/nvram		/dev/misc/nvram

# PPP devices
alias     /dev/ppp*		ppp_generic

# Video capture devices
alias     /dev/video*		/dev/v4l
alias     /dev/vbi*		/dev/v4l

# agpgart
alias     /dev/agpgart		agpgart
alias     /dev/dri*		agpgart

# Irda devices
alias     /dev/ircomm		ircomm-tty
alias     /dev/ircomm*		/dev/ircomm

# Raw I/O devices
alias	/dev/rawctl		/dev/raw


# Pull in the configuration file. Do this last because modprobe(8) processes in
# per^H^H^Hreverse order and the sysadmin may want to over-ride what is in the
# generic file
#include /etc/modules.conf

### update-modules: end processing /etc/modutils/1devfsd

### update-modules: start processing /etc/modutils/actions
# Special actions that are needed for some modules

# The BTTV module does not load the tuner module automatically,
# so do that in here
post-install bttv insmod tuner
post-remove bttv rmmod tuner


### update-modules: end processing /etc/modutils/actions

### update-modules: start processing /etc/modutils/aliases
# Aliases to tell insmod/modprobe which modules to use 

# Uncomment the network protocols you don't want loaded:
# alias net-pf-1 off		# Unix
# alias net-pf-2 off		# IPv4
# alias net-pf-3 off		# Amateur Radio AX.25
# alias net-pf-4 off		# IPX
# alias net-pf-5 off		# DDP / appletalk
# alias net-pf-6 off		# Amateur Radio NET/ROM
# alias net-pf-9 off		# X.25
# alias net-pf-10 off		# IPv6
# alias net-pf-11 off		# ROSE / Amateur Radio X.25 PLP
# alias net-pf-19 off		# Acorn Econet
alias net-pf-24 pppoe

alias char-major-10-175	agpgart
alias char-major-10-200	tun
alias char-major-81	bttv
alias char-major-108	ppp_generic
alias /dev/ppp		ppp_generic
alias tty-ldisc-3	ppp_async
alias tty-ldisc-14	ppp_synctty
alias ppp-compress-21	bsd_comp
alias ppp-compress-24	ppp_deflate
alias ppp-compress-26	ppp_deflate

# Crypto modules (see http://www.kerneli.org/)
alias loop-xfer-gen-0	loop_gen
alias loop-xfer-3	loop_fish2
alias loop-xfer-gen-10	loop_gen
alias cipher-2		des
alias cipher-3		fish2
alias cipher-4		blowfish
alias cipher-6		idea
alias cipher-7		serp6f
alias cipher-8		mars6
alias cipher-11		rc62
alias cipher-15		dfc2
alias cipher-16		rijndael
alias cipher-17		rc5


### update-modules: end processing /etc/modutils/aliases

### update-modules: start processing /etc/modutils/paths
# This file contains a list of paths that modprobe should scan,
# beside the ones that are compiled into the modutils tools
# themselves.


### update-modules: end processing /etc/modutils/paths

